Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jbpm.task.service.persistence
Class TaskSessionFactoryImpl

    java.lang.Object
      org.jbpm.task.service.persistence.TaskSessionFactoryImpl

All Implemented Interfaces:
  TaskSessionFactory

    public class TaskSessionFactoryImpl

extends Object
implements TaskSessionFactory

DO NOT USE THIS CLASS. THIS IS AN INTERNAL JBPM task. If you use this class outside of the org.jbpm.task.service package (and possibly even then), you ARE ON YOUR OWN. IF YOUR CODE BREAKS WHEN THIS CHANGES, GOOD LUCK!

Constructor Summary
`TaskSessionFactoryImpl(TaskService taskService, javax.persistence.EntityManagerFactory emf)`

Method Summary
`TasksAdmin` | `createTaskAdmin()`
`TaskEventsAdmin` | `createTaskEventsAdmin()`
`TaskServiceSession` | `createTaskServiceSession()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TaskSessionFactoryImpl

    public TaskSessionFactoryImpl(TaskService taskService,
                                  javax.persistence.EntityManagerFactory emf)

Method Detail

### createTaskServiceSession

    public TaskServiceSession createTaskServiceSession()

  Specified by:
    `createTaskServiceSession` in interface `TaskSessionFactory`

### createTaskAdmin

    public TasksAdmin createTaskAdmin()

  Specified by:
    `createTaskAdmin` in interface `TaskSessionFactory`

### createTaskEventsAdmin

    public TaskEventsAdmin createTaskEventsAdmin()

  Specified by:
    `createTaskEventsAdmin` in interface `TaskSessionFactory`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| jBPM distribution 6.0.0.Beta1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2013 JBoss by Red Hat. All Rights Reserved.